Package org.apache.ignite.internal.managers.eventstorage

## Interface DiscoveryEventListener

All Superinterfaces:
  `EventListener`

    public interface DiscoveryEventListener
    extends EventListener

Internal listener for discovery events.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onEvent​(DiscoveryEvent evt, DiscoCache discoCache)`

### Method Detail

#### onEvent

    void onEvent​(DiscoveryEvent evt,
                 DiscoCache discoCache)

Parameters:
  `evt` - Discovery event.
  `discoCache` - Discovery cache.